$ErrorActionPreference = 'Stop'
$packageName = $env:ChocolateyPackageName
$installDirPath = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

# Install package
$packageArgs = @{
    packageName   = $packageName
    unzipLocation = $installDirPath
    fileType      = 'exe'
    url           = 'https://github.com/Tyrrrz/LightBulb/releases/download/2.0/LightBulb-Installer.exe'
    softwareName  = 'lightbulb*'
    silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
    checksum      = 'b229c46a97503fc9d818fa84c4a18f1e241a4c949e08024246a33a0564b8f1f1'
    checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs

# Mark the executable as GUI
New-Item (Join-Path $installDirPath "LightBulb.exe.gui") -ItemType File -Force